#ifndef SALE_H
#define SALE_H

#include <QObject>
#include <odb/core.hxx>
#include <QDecDouble.hh>
#include <combodata.h>

#pragma db object
class Sale : public ComboItem
{
    Q_OBJECT
    Q_PROPERTY(QString description READ description WRITE setDescription)
    Q_PROPERTY(QDecDouble sale READ sale WRITE setSale)
    Q_PROPERTY(bool fixed READ fixed WRITE setFixed)

public:
    explicit Sale(QObject *parent = 0);

    int id() const;
    void setId(int id);

    QDecDouble sale() const;
    void setSale(QDecDouble sale);

    bool fixed() const;
    void setFixed(bool fixed);

    QString description() const;
    void setDescription(const QString &description);

private:
    friend class odb::access;
#pragma db id auto
    int m_id;
    QString m_description;
    int m_sale;
    bool m_fixed;

    // ComboItem interface
public:
    bool eq(ComboItem *other);
    QString toString();
};

#endif // SALE_H
